/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.clients.local;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.objectweb.jonas.jtests.beans.local.TargetSFLocalHome;
import org.objectweb.jonas.jtests.beans.local.TargetSLLocalHome;
import org.objectweb.jonas.jtests.beans.remoterunner.RSuite;
import org.objectweb.jonas.jtests.beans.remoterunner.RemoteRunner;


/**
 * testcases  specifics for stateful session beans must be here
 *
 * - isIdentical, create<Method>
 */

public class F_ClientViewSF  extends F_ClientViewSL {


    protected static String REMOTE_RUNNER_HOME = "EntrySLHome";
    protected static String BEAN_LOCALHOME = "localTargetSFHome_L";
    protected static TargetSFLocalHome lhome = null;

    public F_ClientViewSF(String name) {
        super(name);
    }

    /**
     * init environment:
     * - load beans
     *
     */
    protected void setUp() {
        super.setUp();
    }

    public TargetSLLocalHome getLocalHome() throws Exception {
        if (lhome == null) {
            useBeans("local", false);
            lhome = (TargetSFLocalHome)ictx.lookup(BEAN_LOCALHOME);
        }
        assertTrue(lhome != null);
        return lhome;
    }

    public static Test suite() {
        return new TestSuite(F_ClientViewSF.class);
    }

    public static void main (String args[]) {
        RSuite rs = new RSuite("unused");
        rs.setRunnerHomeName(REMOTE_RUNNER_HOME);
        rs.useBeans("local", false);
        String rtesttorun = null;
        // Get args
        for (int argn = 0; argn < args.length; argn++) {
            String s_arg = args[argn];
            Integer i_arg;
            if (s_arg.equals("-n")) {
                rtesttorun = args[++argn];
            }
        }

        try {
            RemoteRunner tr = rs.getRemoteRunner();
            String Result = null;
            if (rtesttorun == null) {
                Result = tr.run(F_ClientViewSF.class);
            } else {
                Result = tr.run(F_ClientViewSF.class, rtesttorun);
            }
            System.out.println(Result);

        } catch(Exception e) {
            e.printStackTrace();
            System.exit(2);
        }


    }
}
